<!doctype html>
<html lang="en">
    <head prefix="og: http://ogp.me/ns#">
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover, shrink-to-fit=no">
        <meta name="description" content="The INSPIRE Geoportal is the central European access point to the data provided by EU Member States and several EFTA countries under the INSPIRE Directive.">
        <meta name="keyword" content="INSPIRE Geoportal">
        <meta name="author" content="European Commission - Joint Research Centre">

        <meta property="og:title" content="INSPIRE Geoportal"/>
        <meta property="og:description" content="The INSPIRE Geoportal is the central European access point to the data provided by EU Member States and several EFTA countries under the INSPIRE Directive."/>
        <meta property="og:url" content="//inspire-geoportal.ec.europa.eu/"/>
        <meta property="og:image" content="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/favicon-194x194.png"/>
        <meta property="og:type" content="website"/>

        <title>INSPIRE Geoportal</title>

        <link rel="stylesheet" href="//inspire.ec.europa.eu/cdn/1.0/css/ec.eu.css">

        <link rel="apple-touch-icon" sizes="57x57" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-57x57.png">
        <link rel="apple-touch-icon" sizes="60x60" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-60x60.png">
        <link rel="apple-touch-icon" sizes="72x72" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-72x72.png">
        <link rel="apple-touch-icon" sizes="76x76" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-76x76.png">
        <link rel="apple-touch-icon" sizes="114x114" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-114x114.png">
        <link rel="apple-touch-icon" sizes="120x120" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-120x120.png">
        <link rel="apple-touch-icon" sizes="144x144" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-144x144.png">
        <link rel="apple-touch-icon" sizes="152x152" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-152x152.png">
        <link rel="apple-touch-icon" sizes="180x180" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/apple-touch-icon-180x180.png">
        <link rel="icon" type="image/png" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/favicon-32x32.png" sizes="32x32">
        <link rel="icon" type="image/png" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/favicon-194x194.png" sizes="194x194">
        <link rel="icon" type="image/png" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/favicon-96x96.png" sizes="96x96">
        <link rel="icon" type="image/png" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/android-chrome-192x192.png" sizes="192x192">
        <link rel="icon" type="image/png" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/favicon-16x16.png" sizes="16x16">
        <link rel="shortcut icon" href="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/favicon.ico">
        <meta name="msapplication-TileImage" content="//inspire.ec.europa.eu/cdn/1.0/img/ec.ico/mstile-144x144.png">
        <meta name="msapplication-TileColor" content="#2b5797">
        <meta name="theme-color" content="#003399">

        <!-- see https://developers.google.com/speed/docs/insights/BlockingJS -->
        <script src="https://inspire.ec.europa.eu/cdn/1.2/js/jquery.min.js" integrity="sha384-vtXRMe3mGCbOeY7l30aIg8H9p3GdeSe4IFlP6G8JMa7o7lXvnz3GFKzPxzJdPfGK" crossorigin="anonymous"></script>
        <script src="https://inspire.ec.europa.eu/cdn/1.2/js/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous" defer></script>
        <script src="https://inspire.ec.europa.eu/cdn/1.2/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous" defer></script>
        <script src="https://inspire.ec.europa.eu/cdn/1.2/js/bootstrap-select.min.js" integrity="sha384-OgLZWeeKn8Gxtho7YOapXP9cX8BASYnRr8XWu5+0u9PqK4b589JLWA6GzU/Kc7yy" crossorigin="anonymous" defer></script>
        <script src="https://inspire.ec.europa.eu/cdn/1.2/js/fontawesome.all.min.js" integrity="sha384-0pzryjIRos8mFBWMzSSZApWtPl/5++eIfzYmTgBBmXYdhvxPc+XcFEk+zJwDgWbP" crossorigin="anonymous" defer></script>

        <!-- EU Cookie Consent Kit -->
        <!--<script src="//ec.europa.eu/wel/cookie-consent/consent.js" type="text/javascript"></script>-->
        <script src="https://europa.eu/webtools/load.js" defer></script>
        <script type="application/json">{"utility": "cck"}</script>
        <!-- EU Analytics -->
        <script type="application/json">{"utility":"analytics","siteID":"f01c1758-7f3e-4b0d-ad31-e12a19078f5f","sitePath":["inspire-geoportal.ec.europa.eu"],"instance":"ec"}</script>

        <script src="conf/conf.js" crossorigin="" defer></script>
        <script src="js/app_common.js" crossorigin="" defer></script>

        <!-- template custom section -->
        <link rel="stylesheet" href="css/style.css">

        <script src="js/app_linkagechecker.js" crossorigin="" defer></script>

        <!-- page custom content below -->
        <script>
            try {
                if (new URLSearchParams('q=%2B').get('q') !== '+')
                    throw {};
            } catch (error) {
                window.URLSearchParams = void 0;
                document.write('<script src="libs/url-search-params-polyfill/build/url-search-params.js"><' + '/script>');
            }
        </script>

    </head>
    <body role="document">

        <div role="alert" class="alert alert-warning">
            <div class="container">
                <div class="text-center">
                    This is a beta version. Please, notice that the features may not be complete and/or accurate.</div>
            </div>
        </div>
        <div id="header"></div>

        <div class="container">

            <div class="row">
                <div class="col">
                    <h1 class="text-center text-primary">Resource linkages checker tool</h1>
                    <h4 class="text-center text-primary">Emulate the checks by the INSPIRE Geoportal</h4>
                </div>
            </div>

            <div class="row mt-3" id="informativeTopContainer">
                <div class="col-md-12">
                    <p>
                        This application may be used by INSPIRE data and service providers to emulate the checks executed by the INSPIRE Geoportal during its harvesting process.
                        It reports potential issues, related to correctly established MD linkages among MS resources (Data set, View and Download services) identified during the harvesting,
                        when the Geoportal is extracting and enriching the MD information found in the MS resources.
                    </p>
                    <p><a href="files/INSPIRE_Geoportal_process_for_data-service_linking_v1.0.pdf">Click here</a> for the detailed documentation about this process.</p>
                </div>
            </div>

            <hr/>
            <div id="inputContainer">
                <div class="row mt-4">
                    <div class="col-sm-6">
                        <button type="button" id="newMetadataBtn" class="btn btn-primary w-100">
                            <div class="row">
                                <div class="col-sm-2">
                                    <i class="far fa-plus-square fa-5x mt-3"></i>
                                </div>
                                <div class="col-sm-10 text-left">
                                    <h1 class="text-white">Check new metadata</h1>
                                    <p>Use this option if you want to check a newly created metadata record</p>
                                </div>
                            </div>
                        </button>
                    </div>
                    <div class="col-sm-6">
                        <button type="button" id="gpMetadataBtn" class="btn btn-secondary w-100">
                            <div class="row">
                                <div class="col-sm-2">
                                    <i class="fas fa-atlas fa-5x mt-3"></i>
                                </div>
                                <div class="col-sm-10 text-left">
                                    <h1 class="text-white">Check existing metadata</h1>
                                    <p>Use this option if you want to check a metadata record that is already available through the INSPIRE Geoportal</p>
                                </div>
                            </div>
                        </button>
                    </div>
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <div id="userInputDataContainer" class="d-none">
                            <form id="frm" name="frm" method="post" enctype="multipart/form-data" class="needs-validation" novalidate>
                                <!-- Dataset MD -->
                                <div class="row">
                                    <div class="col-md-12">
                                        <h2>Data (Set or Series) metadata</h2>
                                        <p class="text-secondary font-weight-lighter font-italic">Select the input type and paste your content inside the text area: </p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-check input-url list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="mdInputRadios" id="mdInputURL" value="InputURL" aria-label="URL">
                                            <label class="form-check-label" for="mdInputURL"><i class="fas fa-external-link-alt"></i> URL to INSPIRE metadata</label>
                                        </div>
                                        <div class="form-check input-xml list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="mdInputRadios" id="mdInputXML" value="InputXML" aria-label="XML">
                                            <label class="form-check-label" for="mdInputXML"><i class="far fa-file-alt"></i> INSPIRE metadata XML content</label>
                                        </div>
                                        <div class="form-check input-id list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="mdInputRadios" id="mdInputId" value="InputId" aria-label="Identifier">
                                            <label class="form-check-label" for="mdInputId"><i class="fab fa-searchengin"></i> FileIdentifier (ISO 19139) <i class="fas fa-info-circle" title="This identifier (eg. 55aa261e-4f45-8870-92b6-bac9c76bb344) should be already present in the INSPIRE Geoportal"></i></label>
                                        </div>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <textarea id="dataMetadata" name="dataMetadata" rows="5" class="form-control" required></textarea>
                                        <div class="invalid-feedback">
                                            Mandatory field! Please insert a valid content (metadata content, URL or fileIdentifier)
                                        </div>
                                    </div>
                                </div>
                                <hr/>
                                <!-- View Service MD -->
                                <div class="row">
                                    <div class="col-md-12">
                                        <h2>View Service metadata</h2>
                                        <p class="text-secondary font-weight-lighter font-italic">Select the input type and paste your content inside the text area: </p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-check input-url list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="vwInputRadios" id="vwInputURL" value="InputURL" aria-label="URL">
                                            <label class="form-check-label" for="vwInputURL"><i class="fas fa-external-link-alt"></i> URL to INSPIRE metadata</label>
                                        </div>
                                        <div class="form-check input-xml  list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="vwInputRadios" id="vwInputXML" value="InputXML" aria-label="XML">
                                            <label class="form-check-label" for="vwInputXML"><i class="far fa-file-alt"></i> INSPIRE metadata XML content</label>
                                        </div>
                                        <div class="form-check input-id list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="vwInputRadios" id="vwInputId" value="InputId" aria-label="Identifier">
                                            <label class="form-check-label" for="vwInputId"><i class="fab fa-searchengin"></i> FileIdentifier (ISO 19139) <i class="fas fa-info-circle" title="This identifier (eg. 55aa261e-4f45-8870-92b6-bac9c76bb344) should be already present in the INSPIRE Geoportal"></i></label>
                                        </div>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <textarea id="viewServiceMetadata" name="viewServiceMetadata" rows="5" class="form-control"></textarea>
                                        <div class="invalid-feedback">
                                            Please insert a valid content (metadata content, URL or fileIdentifier)
                                        </div>
                                    </div>
                                </div>
                                <hr/>
                                <!-- Download Service MD -->
                                <div class="row">
                                    <div class="col-md-12">
                                        <h2>Download Service metadata</h2>
                                        <p class="text-secondary font-weight-lighter font-italic">Select the input type and paste your content inside the text area: </p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-check input-url list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="dwInputRadios" id="dwInputURL" value="InputURL" aria-label="URL">
                                            <label class="form-check-label" for="dwInputURL"><i class="fas fa-external-link-alt"></i> URL to INSPIRE metadata</label>
                                        </div>
                                        <div class="form-check input-xml list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="dwInputRadios" id="dwInputXML" value="InputXML" aria-label="XML">
                                            <label class="form-check-label" for="dwInputXML"><i class="far fa-file-alt"></i> INSPIRE metadata XML content</label>
                                        </div>
                                        <div class="form-check input-id list-group-item">
                                            <input class="form-check-input d-none" type="radio" name="dwInputRadios" id="dwInputId" value="InputId" aria-label="Identifier">
                                            <label class="form-check-label" for="dwInputId"><i class="fab fa-searchengin"></i> FileIdentifier (ISO 19139) <i class="fas fa-info-circle" title="This identifier (eg. 55aa261e-4f45-8870-92b6-bac9c76bb344) should be already present in the INSPIRE Geoportal"></i></label>
                                        </div>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <textarea id="downloadServiceMetadata" name="downloadServiceMetadata" rows="5" class="form-control"></textarea>
                                        <div class="invalid-feedback">
                                            Please insert a valid content (metadata content, URL or fileIdentifier)
                                        </div>
                                    </div>
                                </div>

                                <!-- <input type="checkbox" id="probeNetworkServices" checked> Probe Network Services<br> -->

                                <div class="row my-4">
                                    <div class="col-md-8">
                                        <span id="feedbackContainer" class="w-100"></span>
                                    </div>
                                    <div class="col-md-4">
                                        <button type="button" class="btn btn-warning w-100" id="checkLinkageBtn"><i class="fas fa-check"></i> Check Resources</button>
                                    </div>
                                </div>

                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div id="resultsContainer" class="d-none">
                <div class="row">
                    <div class="col text-center">
                        <h2 class="">Linkage check results</h2>
                    </div>
                </div>
                <div id="resultsOverview">
                    <div class="row">
                        <div class="col">
                            <p class="lead">Linkage overview</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="card text-center">
                                <div class="card-body">
                                    <p class="lead">View Service linkage</p>
                                    <div id="resultsOverviewVwAssessment">
                                        <i class="fas fa-thumbs-down fa-lg text-secondary"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col text-center">
                            <div class="card text-center">
                                <div class="card-body">
                                    <p class="lead">Download Service linkage</p>
                                    <div id="resultsOverviewDwAssessment">
                                        <i class="fas fa-thumbs-down fa-lg text-secondary"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="resultsTableContainer" class="mt-5">
                    <div class="row">
                        <div class="col">
                            <p class="lead">Main linkage aspects</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col table-responsive">
                            <table id="resultsMainTable" class="table table-sm table-striped">
                                <thead class="thead-light">
                                    <tr class="text-center">
                                        <th scope="col" style="width: 90%">Linkage Aspect</th>
                                        <th scope="col" style="width: 10%">Result</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            Data Set metadata contains Unique Resource Identifier
                                            <a data-toggle="collapse" href="#msgId_DATASET_METADATA_CONTAINS_UNIQUE_RESOURCE_IDENTIFIER" role="button" aria-expanded="false" aria-controls="msgId_DATASET_METADATA_CONTAINS_UNIQUE_RESOURCE_IDENTIFIER">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_DATASET_METADATA_CONTAINS_UNIQUE_RESOURCE_IDENTIFIER">
                                                <div class="card card-body">
                                                    <p>
                                                        The Unique Resource Identifier in the Data Set metadata was not found. Have you successfully validated this metadata with the INSPIRE Reference validator?
                                                    </p>
                                                    <a href="//inspire.ec.europa.eu/validator/about/" target="_blank">Click here to open the INSPIRE reference validator</a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have validated the metadata, and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">contact the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_DATASET_METADATA_CONTAINS_UNIQUE_RESOURCE_IDENTIFIER">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Data Set metadata contains INSPIRE Spatial Data Theme
                                            <a data-toggle="collapse" href="#msgId_DATASET_METADATA_CONTAINS_INSPIRE_SPATIAL_DATA_THEME" role="button" aria-expanded="false" aria-controls="msgId_DATASET_METADATA_CONTAINS_INSPIRE_SPATIAL_DATA_THEME">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_DATASET_METADATA_CONTAINS_INSPIRE_SPATIAL_DATA_THEME">
                                                <div class="card card-body">
                                                    <p>
                                                        The INSPIRE Spatial Data Theme keyword was not found. Have you successfully validated this metadata with the INSPIRE Reference validator?
                                                    </p>
                                                    <a href="//inspire.ec.europa.eu/validator/about/" target="_blank">Click here to open the INSPIRE reference validator</a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have validated the metadata, and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">contact the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_DATASET_METADATA_CONTAINS_INSPIRE_SPATIAL_DATA_THEME">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            The View Service has been contacted
                                            <a data-toggle="collapse" href="#msgId_VIEW_SERVICE_HAS_BEEN_CONTACTED" role="button" aria-expanded="false" aria-controls="msgId_VIEW_SERVICE_HAS_BEEN_CONTACTED">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_VIEW_SERVICE_HAS_BEEN_CONTACTED">
                                                <div class="card card-body">
                                                    <p>
                                                        The necessary resource locator (URL) of the service was not found in the provided View Service metadata, or the service was not reachable nor supported.
                                                    </p>
                                                    <p>
                                                        Possible common issues are:
                                                    </p>
                                                    <ul>
                                                        <li>The URL is missing or not valid</li>
                                                        <li>The service is down or not reachable</li>
                                                        <li>The service implementation doesn't respect the requirements (eg. WMS 1.1.1)</li>
                                                    </ul>
                                                    <p>
                                                        Have you successfully validated this metadata with the INSPIRE Reference validator?
                                                    </p>
                                                    <a href="//inspire.ec.europa.eu/validator/about/" target="_blank">Click here to open the INSPIRE reference validator</a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have validated the metadata, and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">contact the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_VIEW_SERVICE_HAS_BEEN_CONTACTED">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Linkage has been estabilished between the View Service and Data Set
                                            <a data-toggle="collapse" href="#msgId_LINKAGE_FROM_VIEW_SERVICE_TO_DATASET_HAS_BEEN_FOUND" role="button" aria-expanded="false" aria-controls="msgId_LINKAGE_FROM_VIEW_SERVICE_TO_DATASET_HAS_BEEN_FOUND">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_LINKAGE_FROM_VIEW_SERVICE_TO_DATASET_HAS_BEEN_FOUND">
                                                <div class="card card-body">
                                                    <p>
                                                        The necessary match between the MD URI (described in the provided Data Set metadata) and at least one layer containing a valid metadata reference from the View service capabilities has not been found.
                                                    </p>
                                                    <p>
                                                        This web application, by using the INSPIRE Geoportal backend web services, mimics a harvest and tries different approaches to retrieve and estabilish a logical link between the specified Data Set and Services.
                                                    </p>
                                                    <p>
                                                        The current workflow consists in the following steps:
                                                    </p>
                                                    <ul>
                                                        <li>Starting from the View Service metadata, retrieve the resource locator (URL) of the service's GetCapabilities</li>
                                                        <li>Retrieve the service's GetCapabilities metadata, and for each available layer described there:
                                                            <ul>
                                                                <li>extract the ows:MetadataURL information that should link back to the Data Set metadata</li>
                                                                <li>obtain the Data Set metadata and verify that the Unique Resource Identifier matches with the one extracted from the Data Set metadata provided above</li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                    <a href="#" data-toggle="modal" data-target="#workflowModalDialog" data-srv-id="vw_wmts">
                                                        For a complete overview, click here to open the workflow diagram for a WM(T)S-based service.
                                                    </a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have fixed the issue and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">open an issue in the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_LINKAGE_FROM_VIEW_SERVICE_TO_DATASET_HAS_BEEN_FOUND">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            The Download Service has been contacted
                                            <a data-toggle="collapse" href="#msgId_DOWNLOAD_SERVICE_HAS_BEEN_CONTACTED" role="button" aria-expanded="false" aria-controls="msgId_DOWNLOAD_SERVICE_HAS_BEEN_CONTACTED">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_DOWNLOAD_SERVICE_HAS_BEEN_CONTACTED">
                                                <div class="card card-body">
                                                    <p>
                                                        The necessary resource locator (URL) of the service was not found in the provided Download Service metadata, or the service was not reachable nor supported.
                                                    </p>
                                                    <p>
                                                        Possible common issues are:
                                                    </p>
                                                    <ul>
                                                        <li>The URL is missing or not valid</li>
                                                        <li>The service is down or not reachable</li>
                                                        <li>The service implementation doesn't respect some requirements (eg. ATOM, WFS 2.0.0)</li>
                                                    </ul>
                                                    <p>
                                                        Have you successfully validated this metadata with the INSPIRE Reference validator?
                                                    </p>
                                                    <a href="//inspire.ec.europa.eu/validator/about/" target="_blank">Click here to open the INSPIRE reference validator</a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have validated the metadata, and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">contact the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_DOWNLOAD_SERVICE_HAS_BEEN_CONTACTED">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Linkage has been estabilished between the Download Service and Data Set
                                            <a data-toggle="collapse" href="#msgId_LINKAGE_FROM_DOWNLOAD_SERVICE_TO_DATASET_HAS_BEEN_FOUND" role="button" aria-expanded="false" aria-controls="msgId_LINKAGE_FROM_DOWNLOAD_SERVICE_TO_DATASET_HAS_BEEN_FOUND">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_LINKAGE_FROM_DOWNLOAD_SERVICE_TO_DATASET_HAS_BEEN_FOUND">
                                                <div class="card card-body">
                                                    <p>
                                                        The necessary match between the dataset metadata URI and at least one metadata URI from the Download service capabilities has not been found.
                                                    </p>
                                                    <p>
                                                        This web application, by using the INSPIRE Geoportal backend web services, mimics a harvest and tries different approaches to retrieve and estabilish a logical link between the specified Data Set and Services.
                                                    </p>
                                                    <hr>
                                                    <p>
                                                        For an ATOM-based service, the current workflow consists of the following steps:
                                                    </p>
                                                    <ul>
                                                        <li>Starting from the Download Service metadata, retrieve the resource locator of ATOM service feed</li>
                                                        <li>For each data set entry in the ATOM service feed metadata:
                                                            <ul>
                                                                <li>Retrieve the information that describe the linked Data Set metadata</li>
                                                                <li>Obtain the Data Set metadata and verify that the Unique Resource Identifier matches with the one extracted from the Data Set metadata provided by the user</li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                    <a href="#" data-toggle="modal" data-target="#workflowModalDialog" data-srv-id="dw_atom">
                                                        For a complete overview for an ATOM-based download service, click here to open the workflow diagram
                                                    </a>
                                                    <hr>
                                                    <p>
                                                        For an WFS-based service, the workflow consists on the following process branches, executed in parallel:
                                                    </p>
                                                    <ul>
                                                        <li>
                                                            Branch 1: through the SpatialDataSetIdentifier in ExtendedCapabilities
                                                            <ul>
                                                                <li>Starting from the Download Service metadata, extract the resource locator (URL) of the service's GetCapabilities</li>
                                                                <li>Retrieve the service's GetCapabilities metadata, and extract the ExtendedCapabilities</li>
                                                                <li>Obtain the inspire_dls:SpatialDataSetIdentifier and verify that it matches with the one extracted from the Data Set metadata provided by the user</li>
                                                            </ul>
                                                        </li>
                                                        <li>
                                                            Branch 2: through the coupled resource in the Service metadata
                                                            <ul>
                                                                <li>Starting from the Download Service metadata, extract the coupled resource locator (URL) that points to the metadata record</li>
                                                                <li>Verify that the Unique Resource Identifier matches with the one extracted from the Data Set metadata provided above</li>
                                                            </ul>
                                                        </li>
                                                        <li>
                                                            Branch 3: (optional) through the coupled resource in the Service metadata obtained from the inspire_common:MetadataUrl field
                                                            <ul>
                                                                <li>Starting from the Download Service metadata, extract the resource locator (URL) of the service's GetCapabilities</li>
                                                                <li>Retrieve the service's GetCapabilities metadata, and extract the ExtendedCapabilities</li>
                                                                <li>Obtain the inspire_common:MetadataUrl of the service, and retrieve the metadata</li>
                                                                <li>Verify that the obtained Service metadata matches with the one provided by the user</li>
                                                                <li>From the obtained Service metadata, extract the coupled resource locator (URL) that points to the metadata record</li>
                                                                <li>Verify that the Unique Resource Identifier matches with the one extracted from the Data Set metadata provided above</li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                    <a href="#" data-toggle="modal" data-target="#workflowModalDialog" data-srv-id="dw_wfs">
                                                        For a complete overview for an WFS-based download service, click here to open the workflow diagram
                                                    </a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have fixed the issue and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">open an issue in the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_LINKAGE_FROM_DOWNLOAD_SERVICE_TO_DATASET_HAS_BEEN_FOUND">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            A Download link has been determined
                                            <a data-toggle="collapse" href="#msgId_DOWNLOAD_LINK_HAS_BEEN_DETERMINED" role="button" aria-expanded="false" aria-controls="msgId_DOWNLOAD_LINK_HAS_BEEN_DETERMINED">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_DOWNLOAD_LINK_HAS_BEEN_DETERMINED">
                                                <div class="card card-body">
                                                    <p>
                                                        The necessary resource locator (URL) of the Data Set from the Download service could not be determined.
                                                    </p>
                                                    <p>
                                                        Have you successfully validated this metadata with the INSPIRE Reference validator?
                                                    </p>
                                                    <a href="//inspire.ec.europa.eu/validator/about/" target="_blank">Click here to open the INSPIRE reference validator</a>
                                                    <hr>
                                                    <p class="small">
                                                        If you have validated the metadata, and still encounter this missing aspect, please <a href="https://ies-svn.jrc.ec.europa.eu/projects/geoportal/issues">contact the Geoportal Helpdesk</a>
                                                    </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_DOWNLOAD_LINK_HAS_BEEN_DETERMINED">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row mt-5">
                        <div class="col">
                            <p class="lead">Linkage aspects related to the INSPIRE Geoportal</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col table-responsive">
                            <table id="resultsGeoportalTable" class="table table-sm table-striped">
                                <thead class="thead-light">
                                    <tr class="text-center">
                                        <th scope="col" style="width: 90%">Linkage Aspect</th>
                                        <th scope="col" style="width: 10%">Result</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            Data Set metadata exists in the INSPIRE Geoportal
                                            <!--
                                            <a data-toggle="collapse" href="#msgId_DATASET_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL" role="button" aria-expanded="false" aria-controls="msgId_DATASET_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_DATASET_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <div class="card card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                                                </div>
                                            </div>
                                            -->
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_DATASET_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            View Service metadata exists in the INSPIRE Geoportal
                                            <!--
                                            <a data-toggle="collapse" href="#msgId_VIEW_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL" role="button" aria-expanded="false" aria-controls="msgId_VIEW_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_VIEW_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <div class="card card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                                                </div>
                                            </div>
                                            -->
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_VIEW_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Download Service metadata exists in the INSPIRE Geoportal
                                            <!--
                                            <a data-toggle="collapse" href="#msgId_DOWNLOAD_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL" role="button" aria-expanded="false" aria-controls="msgId_DOWNLOAD_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <i class="fas fa-question-circle"></i>
                                            </a>
                                            <div class="collapse" id="msgId_DOWNLOAD_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <div class="card card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                                                </div>
                                            </div>
                                            -->
                                        </td>
                                        <td class="text-center">
                                            <span id="resultId_DOWNLOAD_SERVICE_METADATA_EXISTS_IN_INSPIRE_GEOPORTAL">
                                                <i class="far fa-square text-secondary"></i>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="row my-4">
                    <div class="col">
                        <a class="text-small float-left mt-2" href="#" target="_blank" id="resourceEvalReport">View the Evaluation report</a>
                    </div>
                    <div class="col">
                        <a class="btn btn-warning float-right" href=""><i class="fas fa-redo"></i> Launch another check</a>
                    </div>
                </div>
            </div>

            <hr>

            <div class="row" id="informativeBottomContainer">
                <div class="col-md-12">
                    <p>For security reasons, HTTP resources using ports other than 80 and 443 cannot be contacted.</p>
                    <p>
                        <strong class="text-primary">DISCLAIMER</strong>:
                        This web application is used in the context of supporting MS data providers with publishing their resources (Data Sets / Services) in the INSPIRE Geoportal.
                        It cannot be considered as a full INSPIRE compliance test.
                        For checking the compliance with INSPIRE Technical Guidelines, only the <a href="//inspire.ec.europa.eu/validator/about/" target="_blank">INSPIRE Reference Validator</a> should be used.
                        If inconsistencies found between the checks performed by the INSPIRE Geoportal and the Reference Validator, <a href="//ies-svn.jrc.ec.europa.eu/projects/geoportal/issues" target="_blank">please report them here</a>.
                    </p>
                </div>
            </div>
        </div>

        <div class="modal" id="workflowModalDialog" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Workflow</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <img id="workflowImg_dw_atom" src="images/lcdiagrams/workflow_dw_atom.png" class="img-fluid d-none" alt="Image not available for Download service ATOM-based">
                        <img id="workflowImg_dw_wfs" src="images/lcdiagrams/workflow_dw_wfs.png" class="img-fluid d-none" alt="Image not available for Download service WFS-based">
                        <img id="workflowImg_vw_wmts" src="images/lcdiagrams/workflow_vw_wmts.png" class="img-fluid d-none" alt="Image not available for View service WMTS-based">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <div id="footer"></div>

        <!-- Piwik -->
<!--
        <script type="text/javascript">
            if (euCookieConsent.accepted("europa-analytics")) {
                var _paq = _paq || [];

                /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
                _paq.push(['trackPageView']);
                _paq.push(['enableLinkTracking']);

                (function() {
                    var u = "//stats.jrc.ec.europa.eu/";
                    _paq.push(['setTrackerUrl', u + 'piwik.php']);
                    _paq.push(['setSiteId', '271']);

                    var d = document, g = d.createElement('script'), s = d.getElementsByTagName('script')[0];
                    g.type = 'text/javascript';
                    g.async = true;
                    g.defer = true;
                    g.src = u + 'piwik.js';
                    s.parentNode.insertBefore(g, s);
                })();
            }
        </script>
-->
        <!-- End Piwik Code --> 

        <!-- Analytics with  EU CCK v2 - D.Artasensi 2022/05/30 -->
<!--
        <script type="text/javascript">
            var _paq = _paq || [];
            _paq.push(['trackPageView']);
            _paq.push(['enableLinkTracking']);
            var u = "//stats.jrc.ec.europa.eu/";
            _paq.push(['setTrackerUrl', u + 'piwik.php']);
            _paq.push(['setSiteId', '271']);

            const euAnalytics = function() {
                // here you can start using any $wt API methods
                const cckJson = $wt.cookie.get("cck1");
                const cck = JSON.parse(cckJson);
                if (cck && cck.cm == true && cck.all1st == true) {
                    (function() {
                        var u = "//stats.jrc.ec.europa.eu/";
                        var d = document, g = d.createElement('script'), s = d.getElementsByTagName('script')[0];
                        g.type = 'text/javascript';
                        g.async = true;
                        g.defer = true;
                        g.src = u + 'piwik.js';
                        s.parentNode.insertBefore(g, s);
                    })();
                }
            };
            window.addEventListener("wtReady", euAnalytics);
            window.addEventListener("cck_all_accepted", euAnalytics);
        </script>
-->
        <script type="application/ld+json">
            {
            "@context": "http://schema.org",
            "@type": "WebSite",
            "url": "//inspire-geoportal.ec.europa.eu/geoportal/",
            "potentialAction": { }
            }
        </script>
    </body>
</html>
